## envyng-qt 1.1.1ubuntu1

=== Makefile ===
DOMAIN=envy

PO_FILES=$(wildcard po/*.po)
DESKTOP_FILES=$(basename $(wildcard */*.desktop.in))

all: po/$(DOMAIN).pot build-mo $(DESKTOP_FILES)

clean:
	rm -rf po/mo/
	rm -f po/$(DOMAIN).pot
	rm -f $(DESKTOP_FILES)

#
# i18n for po/*
#

# update the pot
po/$(DOMAIN).pot:
	cd po; intltool-update -p -g $(DOMAIN)

# merge the new stuff into the po files
merge-po: $(PO_FILES) po/$(DOMAIN.pot)
	cd po; intltool-update -r -g $(DOMAIN)

# create mo from po files
%.mo : %.po
	mkdir -p $(basename $(subst po/,po/mo/,$<))/LC_MESSAGES/ 
	msgfmt $< -o $(basename $(subst po/,po/mo/,$<))/LC_MESSAGES/$(DOMAIN).mo 

# generate all *.mo files
build-mo: $(patsubst %.po,%.mo,$(PO_FILES))

#
# i18n for *.desktop files
#

%.desktop : %.desktop.in
	intltool-merge -d po/ $< $@

.PHONY: all clean build-mo merge-po

=== debian/changelog ===
envyng-qt (1.1.1ubuntu1) hardy; urgency=low

  * New connection detection method
  * The links in the about dialog can be selected with the mouse cursor

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Fri, 04 Apr 2008 16:31:15 +0200

envyng-qt (1.1.0ubuntu6) hardy; urgency=low

  * Fix complete dialog showed up when restart dialog should have
  * About dialog can expand now

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Wed, 02 Apr 2008 16:44:30 +0200

envyng-qt (1.1.0ubuntu5) hardy; urgency=low

  * Qtlogger should have had a Cancel button instead of a Close button
  * The restart dialog shows up instead of the complete dialog when
    required

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Wed, 02 Apr 2008 10:13:10 +0200

envyng-qt (1.1.0ubuntu4) hardy; urgency=low

  * Support for localisation
  * Symlink to the real .desktop file
  * Set title and icon for the logger

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Wed, 26 Mar 2008 15:16:13 +0100

envyng-qt (1.1.0ubuntu3) hardy; urgency=low

  * New connection detection
  * Removed connectionCheck from the interface

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Sun, 23 Mar 2008 12:54:39 +0100

envyng-qt (1.1.0ubuntu2) hardy; urgency=low

  * Temporary fix for the packaging scripts
  * fix the logger
  * restore the error dialog
  * dialogs are resizable now

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Thu, 06 Mar 2008 12:31:34 +0100

envyng-qt (1.1.0ubuntu1) hardy; urgency=low

  * Added conflicts with envyng-gtk

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Sun, 02 Mar 2008 05:58:40 +0100

envyng-qt (1.1.0) hardy; urgency=low

  * First release

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Sat, 01 Mar 2008 10:41:59 +0100

=== debian/control ===
Source: envyng-qt
Section: utils
Priority: optional
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.38), python-central (>= 0.5.6), python-dev (>= 2.4), intltool
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Alberto Milone (tseliot) <albertomilone@alice.it>
Standards-Version: 3.7.3
XS-Python-Version: all

Package: envyng-qt
Architecture: all
XB-Python-Version: ${python:Versions}
Replaces: envy
Depends: ${python:Depends}, python-qt4, kdesudo, kdesudo-kde4, envyng-core (>= 1.1.0)
Description: install the ATI or the NVIDIA driver
 EnvyNG is an application written in Python which will download the
 latest ATI or NVIDIA driver or the Legacy driver (for older cards)
 (according to the model of your card) from ATI or Nvidia's website
 and set it up for you handling dependencies (compilers, OpenGL, 
 etc.) which are required in order to build and use the driver.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM := pycentral
export DH_PYCENTRAL=nomove

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/langpack.mk

DEB_PYTHON_INSTALL_ARGS_ALL := --no-compile

install/envyng-qt ::
#	install -m0644 -D envyui/envy16.gif \
#		debian/$(cdbs_curpkg)/usr/share/icons/hicolor/16x16/apps/envy.gif
#	install -m0644 -D envyui/envy22.gif \
#		debian/$(cdbs_curpkg)/usr/share/icons/hicolor/22x22/apps/envy.gif
#	install -m0644 -D envyui/envyicon.gif \
#		debian/$(cdbs_curpkg)/usr/share/icons/hicolor/32x32/apps/envy.gif
	mkdir -p debian/$(cdbs_curpkg)/usr/share/applications/
	ln -s /usr/share/envy/applications/envyng.desktop \
		debian/$(cdbs_curpkg)/usr/share/applications/envyng-qt.desktop

binary-install/envyng-qt ::
	#dh_icons -p$(cdbs_curpkg)

## envyng-qt 2.0.1

=== debian/changelog ===
envyng-qt (2.0.1) intrepid; urgency=low

  * Fix theme integration with KDE4
  * Prevent downloads from being performed during the installation
  * Do not restart apt-cache when installing packages
  * Update the treeview after the process is complete
  * Make sure that the icon is set in the progress dialog
  * Depend on python-kde4
  * Update Standards-Version

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Thu, 02 Oct 2008 13:21:59 +0200

envyng-qt (2.0) intrepid; urgency=low

  * Add the support for envyng-core 2.0
  * Switch to treeview widget
  * Add dependency on kde-icons-oxygen

 -- Alberto Milone (tseliot) <albertomilone@alice.it>  Wed, 27 Aug 2008 17:58:44 +0200

=== debian/control ===
Source: envyng-qt
Section: utils
Priority: optional
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.38), python-central (>= 0.5.6), python-dev (>= 2.4), intltool
Maintainer: Alberto Milone (tseliot) <albertomilone@alice.it>
Standards-Version: 3.8.0
XS-Python-Version: all

Package: envyng-qt
Architecture: all
XB-Python-Version: ${python:Versions}
Replaces: envy
Depends: ${python:Depends}, python-kde4, kdesudo, envyng-core (>= 2.0.1), kde-icons-oxygen
Description: install the ATI or the NVIDIA driver
 EnvyNG is an application written in Python which will download the
 latest ATI or NVIDIA driver or the Legacy driver (for older cards)
 (according to the model of your card) from ATI or Nvidia's website
 and set it up for you handling dependencies (compilers, OpenGL, 
 etc.) which are required in order to build and use the driver.

## envyng-qt 2.0.1ubuntu1

=== debian/changelog ===
envyng-qt (2.0.1ubuntu1) jaunty; urgency=low

  * Rebuilt to solve problems of dependencies with python2.6 of jaunty
    (lp: #344799)
  * debian/rules
   - Removed DEB_PYTHON_INSTALL_ARGS_ALL for python2.6 transition

 -- Surfaz Gemon Meme <surfaz28@gmail.com>  Wed, 18 Mar 2009 12:40:13 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: utils
 Priority: optional
 Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.38), python-central (>= 0.5.6), python-dev (>= 2.4), intltool
-Maintainer: Alberto Milone (tseliot) <albertomilone@alice.it>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alberto Milone (tseliot) <albertomilone@alice.it>
 Standards-Version: 3.8.0
 XS-Python-Version: all

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,6 @@
 include /usr/share/cdbs/1/class/python-distutils.mk
 include /usr/share/cdbs/1/class/makefile.mk
 include /usr/share/cdbs/1/rules/langpack.mk
-
-DEB_PYTHON_INSTALL_ARGS_ALL := --no-compile
 
 install/envyng-qt ::
 #	install -m0644 -D envyui/envy16.gif \
